package edu.washington.cs.radishsim;

public class Event {
   final EventType type;
   final ThreadId  tid;
   long            addr        = 0;
   int             memOpSize   = 0;
   boolean         stackRef    = false;
   boolean         isLifeLock  = false;
   long            syncObject  = 0;
   ThreadId        hbSourceTid;
   byte            insnCount   = 0;

   Event(EventType typ, short tid) {
      this.type = typ;
      this.tid = new ThreadId(tid);
   }

   @Override
   public String toString() {
      return "type=" + type + " tid=" + tid + " addr=" + addr + " memOpSize=" + memOpSize
             + " stackRef=" + stackRef + " isLifeLock=" + isLifeLock + " syncObject=" + syncObject
             + " hbSourceTid=" + hbSourceTid + " iount="+insnCount;
   }
}
